### Method

# Adw BottomSheet set_modal

since: 1.6

#### Declaration [src]

    void
    adw_bottom_sheet_set_modal (
      AdwBottomSheet* self,
      gboolean modal
    )

#### Description [src]

Sets whether the bottom sheet is modal.

When modal, `AdwBottomSheet:content` will be dimmed when the bottom sheet is open, and clicking it will close the bottom sheet. It also cannot be focused with keyboard.

Otherwise, the content is accessible even when the bottom sheet is open.

Available since: 1.6

Sets property | `Adw.BottomSheet:modal`

#### Parameters

`modal`

  Type: `gboolean`

  Whether the sheet is modal.